# Uses of Interface
java.nio.file.Watchable

Packages that use Watchable
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

- ## Uses of Watchable in java.nio.file

  Subinterfaces of Watchable in java.nio.file
  Modifier and Type
  Interface
  Description
  `interface`
  `Path`
  An object that may be used to locate a file in a file system.
  Methods in java.nio.file that return Watchable
  Modifier and Type
  Method
  Description
  `Watchable`
  WatchKey.`watchable()`
  Returns the object for which this watch key was created.